Subject: bug#13978: 24.3; New minor mode eldoc-post-insert-mode

From: Dmitry Gutov <[email-masked]>
Date: Sun, 17 Mar 2013 07:39:18 +0400

Leo Liu <[email-masked]> writes:
>> Shouldn't that be called `eldoc-minibuffer-mode'?
>> And why not just use eldoc-mode?
>
> eldoc-post-insert-mode can work everywhere not just in the minibuffer.
> The idea is from me finding eldoc-mode too distracting by printing
> 'constantly' to the echo area. Thus eldoc-post-insert-mode only shows
> the info when you are typing. (For me it shows the info at the moment I
> need it ;)).

I think you might want to make this configurable. Personally, I like
that I can move point inside a function call in existing code, and it
will show the argument names and which argument I'm on.

It should be as useful when editing an expression to be evaluated.